GuidesRecipesAPI ReferenceChangelog
Log In
API Reference

Updates an existing mobile device by serial number

<os_name> in is derived from the api level and cannot be set.

🔄

Jamf Pro API equivalent available: PATCH /api/v2/mobile-devices/{id}. The Jamf Pro API has partial coverage for this resource. Some operations may still require the Classic API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
<mobile_device>
	<general>
		<display_name>iPad</display_name>
		<device_name>iPad</device_name>
		<name>iPad</name>
		<asset_tag>string</asset_tag>
		<serial_number>C02Q7KHTGFWD</serial_number>
		<udid>270aae10800b6e61a2ee2bbc285eb967050b6984</udid>
	</general>
	<location>
		<username>JBetty</username>
		<realname>Betty Jackson</realname>
		<real_name>Betty Jackson</real_name>
		<email_address>[email protected]</email_address>
		<position>Systems Engineer</position>
		<phone>123-555-6789</phone>
		<phone_number>123-555-6789</phone_number>
		<department>Sales Staff</department>
		<building>New York Office</building>
		<room>1159</room>
	</location>
	<purchasing>
		<is_purchased>true</is_purchased>
		<is_leased>true</is_leased>
		<po_number>string</po_number>
		<vendor>string</vendor>
		<applecare_id>string</applecare_id>
		<purchase_price>string</purchase_price>
		<purchasing_account>string</purchasing_account>
		<po_date_epoch>0</po_date_epoch>
		<warranty_expires_epoch>0</warranty_expires_epoch>
		<lease_expires_epoch>0</lease_expires_epoch>
		<life_expectancy>0</life_expectancy>
		<purchasing_contact>string</purchasing_contact>
	</purchasing>
	<extension_attributes>
    <extension_attribute>
		  <id>1</id>
		  <name>Asset Selector</name>
		  <value>Sample Value</value>
    </extension_attribute>
	</extension_attributes>
</mobile_device>
Path Params
string
required

Serial number value to filter by

Response
201

Created

Language
Credentials
Basic
base64
:
LoadingLoading…